#include <gtk/gtk.h>
#include <champlain/champlain.h>
#include <champlain-gtk/champlain-gtk.h>
#include <clutter-gtk/clutter-gtk.h>

static ChamplainView *champlain_view;

static void
girl_window (GtkApplication *app,
	     gpointer user_data)
{
	GtkWidget *window, *widget;
	
	window = gtk_application_window_new (app);
	widget = gtk_champlain_embed_new();
        champlain_view = gtk_champlain_embed_get_view (GTK_CHAMPLAIN_EMBED(widget));
        gtk_widget_set_size_request(widget, 1440, 720);
	gtk_container_add (GTK_CONTAINER(window), widget);
	g_signal_connect (window, "destroy", G_CALLBACK(gtk_main_quit), NULL);
	gtk_window_set_title (GTK_WINDOW(window), "GNOME Internet Radio Locator");
	gtk_window_set_default_size (GTK_WINDOW(window), 1440, 720);
	gtk_widget_show_all (window);
	
}

int
main (int argc,
      char **argv)
{
	GtkApplication *app;
	int status;

	if (gtk_clutter_init (&argc, &argv) != CLUTTER_INIT_SUCCESS)
		return 1;
	
	app = gtk_application_new ("software.girl.gtk", G_APPLICATION_FLAGS_NONE);
	g_signal_connect (app, "activate", G_CALLBACK (girl_window), NULL);
	
	status = g_application_run (G_APPLICATION (app), argc, argv);
	g_object_unref (app);

	return status;
}

